Update to pari 2.11.2 and use the gmp kernel.
This commit is contained in:
parent
e83c04f1e0
commit
dce4a27193
@ -1,32 +1,33 @@
|
||||
# $OpenBSD: Makefile,v 1.18 2019/10/14 01:07:08 daniel Exp $
|
||||
# $OpenBSD: Makefile,v 1.19 2019/10/17 01:09:22 daniel Exp $
|
||||
|
||||
COMMENT= number theory-oriented computer algebra system
|
||||
|
||||
V= 2.1.7
|
||||
V= 2.11.2
|
||||
DISTNAME= pari-$V
|
||||
REVISION= 2
|
||||
EXTRACT_SUFX= .tgz
|
||||
CATEGORIES= math
|
||||
|
||||
HOMEPAGE= https://pari.math.u-bordeaux.fr/
|
||||
|
||||
# GPLv2
|
||||
# GPLv2+
|
||||
PERMIT_PACKAGE= Yes
|
||||
|
||||
WANTLIB= X11 c m curses readline
|
||||
WANTLIB += X11 c gmp m readline
|
||||
|
||||
MASTER_SITES= http://pari.math.u-bordeaux.fr/pub/pari/unix/ \
|
||||
http://pari.math.u-bordeaux.fr/pub/pari/OLD/${V:R}/
|
||||
|
||||
BUILD_DEPENDS= print/texlive/base
|
||||
LIB_DEPENDS= devel/gmp
|
||||
|
||||
USE_GMAKE= Yes
|
||||
|
||||
CONFIGURE_SCRIPT= Configure
|
||||
CONFIGURE_STYLE= simple
|
||||
CONFIGURE_ENV= CFLAGS="${CFLAGS}"
|
||||
CONFIGURE_ARGS+= --datadir=${PREFIX}/share/pari \
|
||||
--miscdir=${PREFIX}/share/pari \
|
||||
--mandir=${PREFIX}/man/man1 \
|
||||
--prefix=${PREFIX} \
|
||||
--host=${ARCH}
|
||||
--with-gmp=${PREFIX}
|
||||
|
||||
TEST_TARGET= dobench
|
||||
|
||||
|
@ -1,2 +1,2 @@
|
||||
SHA256 (pari-2.1.7.tgz) = kULyza8wg8iWLxpcK7Dp/okV99lJDAMxKsI2HH6hVfo=
|
||||
SIZE (pari-2.1.7.tgz) = 1542137
|
||||
SHA256 (pari-2.11.2.tar.gz) = SmUys8dzUDY/phjq1c15Shcte35XV6KPd4jmWLVGkzk=
|
||||
SIZE (pari-2.11.2.tar.gz) = 4433038
|
||||
|
@ -1,49 +0,0 @@
|
||||
$OpenBSD: patch-Configure,v 1.3 2014/09/15 15:11:35 landry Exp $
|
||||
--- Configure.orig Wed Sep 14 13:26:40 2005
|
||||
+++ Configure Thu Sep 11 09:10:43 2014
|
||||
@@ -246,7 +246,7 @@ fi
|
||||
# We might need the following :
|
||||
#
|
||||
echo Looking for some tools first ...
|
||||
-list='ld zcat gzip ranlib perl emacs'
|
||||
+list='ld zcat gzip ranlib perl'
|
||||
pathspace=`echo $PATH | sed -e "s/$dir_sep/ /g" | sed -e 's,\\\\,/,g'`
|
||||
|
||||
for file in $list; do
|
||||
@@ -844,7 +844,7 @@ if test -n "$__gnuc__"; then
|
||||
esac
|
||||
;;
|
||||
esac
|
||||
- OPTFLAGS="$OPTFLAGS -DGCC_INLINE $warn"
|
||||
+ OPTFLAGS="$CFLAGS -DGCC_INLINE $warn"
|
||||
DBGFLAGS="-g $warn"
|
||||
# Some architectures need -fPIC for building dynamic lib
|
||||
case "$osname-$arch" in hpux-*) DLCFLAGS=-fPIC;; esac
|
||||
@@ -1009,7 +1009,7 @@ if test "$optimization" = profiling; then DLLD=; else
|
||||
# aix-*) DLSUFFIX=a ;; dynamic linking does not work!
|
||||
sunos-*) sodest=$VersionMajor$VersionMinor.$patch
|
||||
soname=$sodest;;
|
||||
- gnu-*|*-alpha|solaris-*|linux-*|freebsd-*)
|
||||
+ gnu-*|solaris-*|linux-*|freebsd-*)
|
||||
case $libpari_base in
|
||||
pari) sodest=$version.$patch;; # released versions
|
||||
*) sodest=$patch.0.0;; # unstable versions
|
||||
@@ -1047,10 +1047,6 @@ if test -n "$DLLD"; then
|
||||
freebsd-*) DLLDFLAGS="-Bshareable -x" ;;
|
||||
gnu-*|linux-*) DLLDFLAGS="-shared -soname \$(LIBPARI_SONAME)" ;;
|
||||
irix-*) DLLDFLAGS="-shared -elf -no_unresolved -all" ;;
|
||||
- *-alpha) DLLDFLAGS="-shared"; EXTRADLLDFLAGS='${LIBS}'
|
||||
- case "$optimization" in
|
||||
- full) DLLDFLAGS="$DLLDFLAGS -O3" ;;
|
||||
- esac;;
|
||||
sunos-*) DLLDFLAGS="-assert nodefinitions" ;;
|
||||
solaris-*) DLLDFLAGS="-G -h \$(LIBPARI_SONAME)" ;;
|
||||
*) DLLD=;;
|
||||
@@ -1162,7 +1158,6 @@ extra_flags=
|
||||
list=exp2; . ./look
|
||||
list=strftime; . ./look
|
||||
case "$arch" in
|
||||
- alpha) list='times ftime';; # gp-dyn has problems with getrusage
|
||||
*) case "$osname" in
|
||||
*cygwin*) list='times ftime';; # getrusage based timer always returns 0
|
||||
*) list='getrusage times ftime';;
|
16
math/pari/patches/patch-config_get_cc
Normal file
16
math/pari/patches/patch-config_get_cc
Normal file
@ -0,0 +1,16 @@
|
||||
$OpenBSD: patch-config_get_cc,v 1.1 2019/10/17 01:09:22 daniel Exp $
|
||||
|
||||
Honor CFLAGS.
|
||||
|
||||
Index: config/get_cc
|
||||
--- config/get_cc.orig
|
||||
+++ config/get_cc
|
||||
@@ -89,7 +89,7 @@ if test -n "$__gnuc__"; then
|
||||
warn="-Wall"
|
||||
OPTFLAGS=-O3
|
||||
ASMINLINE=yes
|
||||
- OPTFLAGS="$OPTFLAGS $warn"
|
||||
+ OPTFLAGS="$CFLAGS $warn"
|
||||
cmd="$CC $CFLAGS $extraflag -fno-strict-aliasing -o $exe gnu.c"
|
||||
. log_cmd
|
||||
if test -s $exe; then
|
16
math/pari/patches/patch-doc_gphelp_in
Normal file
16
math/pari/patches/patch-doc_gphelp_in
Normal file
@ -0,0 +1,16 @@
|
||||
$OpenBSD: patch-doc_gphelp_in,v 1.1 2019/10/17 01:09:22 daniel Exp $
|
||||
|
||||
Fix path so gphelp will work.
|
||||
|
||||
Index: doc/gphelp.in
|
||||
--- doc/gphelp.in.orig
|
||||
+++ doc/gphelp.in
|
||||
@@ -125,7 +125,7 @@ sub get_docdir {
|
||||
# work from TOPDIR/Oarch or TOPDIR too: may be uninstalled yet;
|
||||
$d = $0; $d =~ s,/gphelp,,;
|
||||
for ("$datadir", '.', '..', $d) {
|
||||
- my $t = "$_/doc";
|
||||
+ my $t = "$_/share/doc/pari";
|
||||
if (-f "$t/translations") { $d = $t; last; }
|
||||
}
|
||||
$d ||= "$datadir/doc"; # Last resort
|
@ -1,8 +0,0 @@
|
||||
$OpenBSD: patch-src_test_dotest,v 1.1 2014/09/15 15:11:35 landry Exp $
|
||||
--- src/test/dotest.orig Thu Sep 11 06:39:25 2014
|
||||
+++ src/test/dotest Thu Sep 11 06:39:37 2014
|
||||
@@ -180,3 +180,4 @@ can safely ignore the above warning.
|
||||
EOT
|
||||
fi
|
||||
fi
|
||||
+exit 1
|
@ -1,10 +1,11 @@
|
||||
@comment $OpenBSD: PLIST,v 1.2 2014/09/15 15:11:35 landry Exp $
|
||||
@comment $OpenBSD: PLIST,v 1.3 2019/10/17 01:09:22 daniel Exp $
|
||||
bin/gp
|
||||
@bin bin/gp-2.1
|
||||
@bin bin/gp-2.11
|
||||
bin/gphelp
|
||||
bin/tex2mail
|
||||
include/pari/
|
||||
include/pari/genpari.h
|
||||
include/pari/mpinl.h
|
||||
include/pari/pari.h
|
||||
include/pari/paricast.h
|
||||
include/pari/paricfg.h
|
||||
@ -13,39 +14,44 @@ include/pari/paridecl.h
|
||||
include/pari/parierr.h
|
||||
include/pari/parigen.h
|
||||
include/pari/pariinl.h
|
||||
include/pari/pariport.h
|
||||
include/pari/parimt.h
|
||||
include/pari/parinf.h
|
||||
include/pari/pariold.h
|
||||
include/pari/paripriv.h
|
||||
include/pari/paristio.h
|
||||
include/pari/parisys.h
|
||||
include/pari/paritype.h
|
||||
lib/libpari.a
|
||||
@comment lib/libpari.a.2.1
|
||||
include/pari/paritune.h
|
||||
@comment lib/libpari.a
|
||||
lib/pari/
|
||||
lib/pari/pari.cfg
|
||||
@man man/man1/gp-2.11.1
|
||||
@man man/man1/gp.1
|
||||
@man man/man1/gphelp.1
|
||||
@man man/man1/pari.1
|
||||
@man man/man1/tex2mail.1
|
||||
share/doc/pari/
|
||||
share/doc/pari/AUTHORS
|
||||
share/doc/pari/Announce.2.1
|
||||
share/doc/pari/CHANGES
|
||||
share/doc/pari/COMPAT
|
||||
share/doc/pari/COPYING
|
||||
share/doc/pari/CVS.txt
|
||||
share/doc/pari/MACHINES
|
||||
share/doc/pari/Makefile
|
||||
share/doc/pari/NEW
|
||||
share/doc/pari/README
|
||||
share/doc/pari/TODO
|
||||
share/doc/pari/INSTALL.dvi
|
||||
share/doc/pari/PARI/
|
||||
share/doc/pari/PARI/822.pm
|
||||
share/doc/pari/appa.tex
|
||||
share/doc/pari/appb.tex
|
||||
share/doc/pari/appc.tex
|
||||
share/doc/pari/appd.tex
|
||||
share/doc/pari/develop.dvi
|
||||
share/doc/pari/develop.tex
|
||||
share/doc/pari/libpari.dvi
|
||||
share/doc/pari/parallel.dvi
|
||||
share/doc/pari/paricfg.tex
|
||||
share/doc/pari/paricfg.tex.in
|
||||
share/doc/pari/parimacro.tex
|
||||
share/doc/pari/pdfmacs.tex
|
||||
share/doc/pari/refcard-ell.dvi
|
||||
share/doc/pari/refcard-lfun.dvi
|
||||
share/doc/pari/refcard-mf.dvi
|
||||
share/doc/pari/refcard-nf.dvi
|
||||
share/doc/pari/refcard.dvi
|
||||
share/doc/pari/refcard.ps
|
||||
share/doc/pari/refcard.tex
|
||||
share/doc/pari/translations
|
||||
share/doc/pari/tutorial-mf.dvi
|
||||
share/doc/pari/tutorial-mf.tex
|
||||
share/doc/pari/tutorial.dvi
|
||||
share/doc/pari/tutorial.tex
|
||||
share/doc/pari/users.dvi
|
||||
@ -55,6 +61,9 @@ share/doc/pari/usersch2.tex
|
||||
share/doc/pari/usersch3.tex
|
||||
share/doc/pari/usersch4.tex
|
||||
share/doc/pari/usersch5.tex
|
||||
share/doc/pari/usersch6.tex
|
||||
share/doc/pari/usersch7.tex
|
||||
share/doc/pari/usersch8.tex
|
||||
share/examples/pari/
|
||||
share/examples/pari/EXPLAIN
|
||||
share/examples/pari/Inputrc
|
||||
@ -63,8 +72,8 @@ share/examples/pari/bench.gp
|
||||
share/examples/pari/cl.gp
|
||||
share/examples/pari/classno.gp
|
||||
share/examples/pari/contfrac.gp
|
||||
share/examples/pari/extgcd.c
|
||||
share/examples/pari/lucas.gp
|
||||
share/examples/pari/matexp.c
|
||||
share/examples/pari/rho.gp
|
||||
share/examples/pari/squfof.gp
|
||||
share/examples/pari/taylor.gp
|
||||
@ -75,6 +84,5 @@ share/pari/misc/color.dft
|
||||
share/pari/misc/gpalias
|
||||
share/pari/misc/gpflog
|
||||
share/pari/misc/gprc.dft
|
||||
share/pari/misc/new.dic
|
||||
share/pari/misc/pari.xpm
|
||||
share/pari/misc/xgp
|
||||
share/pari/pari.desc
|
||||
|
Loading…
Reference in New Issue
Block a user